
var Metric;

function defineModels(mongoose, fn) {
    var Schema = mongoose.Schema,       
        ObjectId = Schema.ObjectId;

    var mongoose = require('mongoose'),
        Schema = mongoose.Schema;
    
    var Metric = new Schema({
        name:  { type: String, 
                 match: /[a-zA-Z0-9-_\.]/, 
                 required: true, 
                 index: true },
	host:  { type: String, 
                 match: /[a-zA-Z0-9-_\.]/, 
                 required: true, 
                 index: true },
        date:  { type: Date, 
                 default: Date.now, 
                 index: true },
        value: { type: Number,
                 required: true} ,

    });

    Metric.virtual('id').get(function() {
        return this._id.toHexString();
    });

    /* deja gere par le default: ci-dessus, conserve pour memoire
    Metric.pre('save', function(next) {
        this.date = new Date();
	next();
    });
    */
    
    mongoose.model('Metric', Metric);
    fn();
}

exports.defineModels = defineModels;

